#ifndef _CHATWINDOW_H
#define _CHATWINDOW_H

#include <Window.h>
#include "DirtyWnd.h"


class ServerWindow;
class ChatWindow : public BWindow, public DirtyWnd
{
	bool	b_end_of_names;
	char*	m_name;
public:
	ChatWindow(ServerWindow* sw, const char *name);
	virtual ~ChatWindow();
	virtual void MessageReceived(BMessage* message);
	virtual bool QuitRequested();
	virtual void WindowActivated(bool active);
	
	void QuitBeforeSW(void);

	const char* get_name(void){ return m_name; }
	bool can_353(void){ return b_end_of_names;}
	const char* get_nick( void );
	
	const char *m_network_name;
protected:

	void w_print(const char* str, int idx);
	void do_msg(BMessage* msg);

	ServerWindow* m_sw;
	//char 			m_name[128];
};

#endif