#ifndef _DEFCOMMANDS_H_
#define _DEFCOMMANDS_H_

#include <Window.h>
#include <View.h>

class DefComWindow : public BWindow
{
public:
	DefComWindow(BRect frame, const char* sz_pos = "def_command_pos",
		window_look look = B_TITLED_WINDOW_LOOK, 
		window_feel feel = B_MODAL_APP_WINDOW_FEEL);
	virtual ~DefComWindow();
	virtual void MessageReceived(BMessage* message);
	virtual bool QuitRequested();
	virtual void FrameResized(float new_width, float new_height);
	virtual void Quit(void);
	virtual void OnOkay(void);
	virtual void InsertElements( void );
protected:
	char m_w_pos[16];
};

class DefChatWindow : public DefComWindow
{
public:
	DefChatWindow(BRect frame);
//	virtual void Quit(void);
	virtual void OnOkay(void);
	virtual void InsertElements( void );
};


#endif