#include "constants.h"
#include "PrivatView.h"
#include "irc_view.h"
#include "Utils.h"
#include <Window.h>

PrivatView::PrivatView(BWindow* window, BRect rc)
	: BView(rc, "PrivatView", B_FOLLOW_ALL, B_WILL_DRAW /*| B_NAVIGABLE_JUMP*/|B_FRAME_EVENTS)
{
  window->AddChild(this);
  	rc = Bounds();
  	rc.top ++;
   	IRCView *pIrc = new IRCView( rc);
  	AddChild(pIrc);
}
PrivatView::~PrivatView()
{
	//RemoveAll();
}

void PrivatView::AttachedToWindow(void)
{	
	SETUP_VIEW_COLORS;	
	BView::AttachedToWindow();
}
void PrivatView::DetachedFromWindow(void) 
{
	BView::DetachedFromWindow();
}
void PrivatView::FrameResized(float width, float height)
{
	BView::FrameResized(width, height);
}

void PrivatView::Draw(BRect updateRect)
{
	BView::Draw(updateRect);
}
void PrivatView::MessageReceived(BMessage* message)
{
	BView::MessageReceived(message);
}
