#ifndef _PRIVAT_H_
#define _PRIVAT_H_

#include <Window.h>
class BHandler;
class ServerWindow;
class PrivatWindow : public BWindow
{
public:
	PrivatWindow(ServerWindow* sw, const char *name);
	PrivatWindow(BHandler* dcc_handler, const char *name);
	virtual void MessageReceived(BMessage* message);
	virtual bool QuitRequested();
	void QuitBeforeSW(void);
protected:
	void internal_init( const char *name );
	void w_print(const char* str, int idx);
	void do_msg(BMessage* msg);

	ServerWindow*	m_sw;
	BHandler*			m_dcc;
	char				m_name[64];
};
#endif