//License:
//    This license applies to this file, as well as any component of Santa's Gift Bag.
//    
//    Copyright Brian Tietz, all rights reserved.
//    
//    All source and compiled code included in the Santa's Gift Bag distribution is being made publicly
//    available and free to use in freeware and shareware products with a price under $25 (I believe that
//    shareware should be cheap). For shareware with a price higher than $25 or commercial products, please 
//    contact me to arrange a licensing agreement. I can be reached at:
//    
//    briant@timelinevista.com
//
//If you have a BScrollView with horizontal and vertical sliders that isn't 
//seated to the lower-right corner of a B_DOCUMENT_WINDOW, there's a "hole"
//between the sliders that needs to be filled.  You can use this to fill it.
//In general, it looks best to set the ScrollViewCorner color to 
//BeInactiveControlGrey if the vertical BScrollBar is inactive, and the color
//to BeBackgroundGrey if the vertical BScrollBar is active.  Have a look at
//Demo3 of ColumnListView to see what I mean if this is unclear.


#ifndef _SGB_SCROLL_VIEW_CORNER_H_
#define _SGB_SCROLL_VIEW_CORNER_H_


//******************************************************************************************************
//**** SYSTEM HEADER FILES
//******************************************************************************************************
#include <View.h>


//******************************************************************************************************
//**** CLASS DECLARATIONS
//******************************************************************************************************
class ScrollViewCorner : public BView
{
	public:
		ScrollViewCorner(float Left,float Top);
		~ScrollViewCorner();
		void Draw(BRect Update);
};


#endif
