#ifndef _SERVERVIEW_H_
#define _SERVERVIEW_H_

#include <View.h>

class ServerView : public BView
{
public:
	ServerView(BWindow* parent, BRect rc);
	virtual ~ServerView();
	virtual void AttachedToWindow(void);
	virtual void DetachedFromWindow(void);
	virtual void Draw(BRect updateRect);
	virtual void FrameResized(float width, float height);
	virtual void MouseDown(BPoint point);
	void MessageReceived(BMessage *message);
	
	
	void AddItem(char *str);
	void RemoveAll(void);
	void ActivateProgress(int32 max_count); // if == 0 deactivate
	//void ProgressStep(void);
	void CollapseList( bool b);
	bool IsListCollapsed(void){ return m_list_collapsed; }
protected:
	int32 m_count;
	int32 m_current;
	BList *m_list_cash;
private:
	bool m_list_collapsed;
};

/*
#define WM_CHAT_QUIT		'002'

*/
#endif