#ifndef _DCC_H_
#define _DCC_H_

#include <OS.h>
#include <Handler.h>

/*enum dcc_type
{
	dcc_chat,
	dcc_send,
	dcc_try_chat
};*/
#define	CR			'\x0D'
#define	LF			'\x0A'
#define	CRLF		"\x0D\x0A"

class BWindow;
class BFile;
class dcc : public BHandler 
{
public:
	dcc( );
	virtual ~dcc(void);
	bool init_send( char *nick, char *file, char *ip, char *port, char *size);
	bool init_chat( char *nick, char *ip, char *port);
	bool new_chat(char *nick, int irc_soket );
	bool new_send( const char *nick, const char *file, int irc_soket );
	bool close(void);
	virtual	void	MessageReceived(BMessage *message);
private:
	bool get_accept_read( int sock, int sec = 30 );
	bool readln(char * buff);
	bool writeln( const char *outbuf );
	int		 		m_type;
	int				m_socket;
	int				m_pass_socket;
	unsigned long 	m_ip;
	int				m_port;
	static int32	dcc_chat_thread(void *arg);
	static int32	dcc_call_thread(void *arg);
	static int32	dcc_get_file_thread(void *arg);
	static int32	dcc_send_file_thread(void *arg);
	BWindow* 	m_wnd;	
	BFile*			m_file;
	long			m_file_size;
	thread_id		m_thread_id;
	char 			m_sz_app_type[ 260 ];
};
#endif