#include "commands_const.h"

void irc::get_ucmd( void )
{
	int32 i = 0;
	
	if( !m_ucmd->IsEmpty() )
	{
		void *anItem; 
		while ( true ) 
		{
			anItem = m_ucmd->ItemAt(i);
			if( !anItem )
				break;
			delete anItem; 
			i++;
		}
		
		m_ucmd->MakeEmpty();
	}
	
	Prefs *prefs = ((IRCApp*)be_app)->GetPrefs();
	prefs->Lock();
	BMessage *msg = prefs->GetMsg();
	

	for( i = 0; i < PROTECTED_ITEM;  i++ )
  	{
  		char *sz = strdup( (c_commands[ i ] + 1) );
  		m_ucmd->AddItem( (void*)sz);
  	}
	for( i = 0;  ;  i++ )
  	{
  		const char* sz_cmd;
  		if( msg->FindString( "def_commands", i , &sz_cmd ) != B_OK )
			break;
		char *sz = strdup( sz_cmd + 1 );
  		m_ucmd->AddItem( (void*)sz );
  	}
	prefs->Unlock();	
}
bool irc::prepare_def_command( const char* sz_in, char *sz_out)
{
	int idx_cmd[ 128 ];
	char w1[ 64 ]; memset( w1, 0, sizeof( w1 )); 
	if( get_word( sz_in, 0,  w1) == 0 )
		return false;
	
	int32 i, j , cm_count = 0;
	int32 count = m_ucmd->CountItems();
	for( i = 0;  i < count;  i++ )
  	{
		if( cm_count >= 128)
			break;
  		char *sz = (char*)m_ucmd->ItemAt(i);
  		char w2[ 64 ]; memset( w2, 0, sizeof( w2 )); 
		if( get_word( sz, 0,  w2) == 0 )
			continue;
		if( !strcasecmp( w2 , w1) )
			idx_cmd[ cm_count++ ] = i;
  	}
	if( cm_count == 0 )
		return false;
	char new_cmd[512]; 
	i = -1;
	while(  true ) 
	{
start:	
		if( i >= cm_count)
			break;
		i++;
		memset( new_cmd, 0, sizeof( new_cmd) );
		
		char *ptr = (char*)m_ucmd->ItemAt( idx_cmd[ i ] );
		if( !ptr )
			return false;
			 
		ptr = strchr( ptr, '.');
		if( !ptr )
			continue;
		ptr++;	
		const char* sz =  ptr ;
		int len = strlen(sz);
		int len2 = 0;
		for( j = 0; j < len; j++)
		{
			if( sz[ j ] == '%' || sz[ j ] == '&' )
			{
				if( (j + 1) >= len )
					break;
				int num = sz[ j + 1 ] - '0';
				if( num <= 9 && num >= 0 )
				{
					int w_ret = 0;
					switch( sz[ j ] )
					{
						case '%':
							w_ret = get_word( sz_in, num, new_cmd );														
						break;
						case '&':
							w_ret = get_string( sz_in, num, new_cmd );													
						break;
						default:
							new_cmd[ len2++ ] = sz[ j ];
							continue;
					}
					len2 += w_ret;
					j++;
					if( w_ret == 0)
					{
						//i++;
						goto start;
					}	
					continue;
				}
				// try predifined values
				/*{
					if( strncmp( &sz[ j ], "$nname", 6 ) == 0)
					{
						strcat( &new_cmd[ len2 ], m_nickname);
						len2 += strlen( m_nickname );
						j += 6;
					}
				}*/	
			}
			new_cmd[ len2++ ] = sz[ j ];				
		}		
		new_cmd[ len2 ] = '\n';	
		strcpy( sz_out, new_cmd);
		break;
	}	
return true;
}