#define	ERR_NOSUCHNICK					401  
/*                        &quot;&lt;nickname&gt; :No such nick/channel&quot;

                - Used to indicate the nickname parameter supplied to a
                  command is currently unused.
*/
#define	ERR_NOSUCHSERVER			402
/*                        &quot;&lt;server name&gt; :No such server&quot;

                - Used to indicate the server name given currently
                  doesn't exist.
*/
#define	ERR_NOSUCHCHANNEL			403
 /*                       &quot;&lt;channel name&gt; :No such channel&quot;

                - Used to indicate the given channel name is invalid.
*/
#define	ERR_CANNOTSENDTOCHAN		404
/*                        &quot;&lt;channel name&gt; :Cannot send to channel&quot;

                - Sent to a user who is either (a) not on a channel
                  which is mode +n or (b) not a chanop (or mode +v) on
                  a channel which has mode +m set and is trying to send
                  a PRIVMSG message to that channel.
*/
#define	ERR_TOOMANYCHANNELS		405
/*                        &quot;&lt;channel name&gt; :You have joined too many \
                         channels&quot;
                - Sent to a user when they have joined the maximum
                  number of allowed channels and they try to join
                  another channel.
*/
#define	ERR_WASNOSUCHNICK		406
/*                        &quot;&lt;nickname&gt; :There was no such nickname&quot;

                - Returned by WHOWAS to indicate there is no history
                  information for that nickname.
*/
#define	ERR_TOOMANYTARGETS		407 
/*                        &quot;&lt;target&gt; :Duplicate recipients. No message \
*/