#include "irc_txtview.h"
#include <TextControl.h>
#include <Window.h>

irc_textview::irc_textview(BRect rc, const char* name, BRect rc_txt)
  : BTextView(rc, name, rc_txt, B_FOLLOW_ALL, B_WILL_DRAW)
{
//	m_filter = filter;
//	((BTextView *)TextView())->AddFilter(filter);
}

irc_textview::~irc_textview()
{
  /* if(((BTextView *)TextView())->RemoveFilter(m_filter))
	{
		delete m_filter;
	}*/  
}
void irc_textview::KeyDown(const char *bytes, int32 numBytes)
{
	BTextControl* txt = (BTextControl*)(Parent()->Parent()->FindView("message"));

	switch(bytes[0])
	{
		case B_ENTER:
		{
			BMessage msg('ntr');
			BMessage *l_target = txt->Message();
			msg.AddPointer("target", (void*)l_target);			
			txt->Window()->PostMessage(&msg);
		}	return;
		case B_DELETE:			
		case B_BACKSPACE:
		case B_UP_ARROW:
		case B_DOWN_ARROW:
		case B_TAB:
		case B_LEFT_ARROW:
		case B_RIGHT_ARROW:
		case B_INSERT:
		case B_HOME:
		case B_END:
		case B_PAGE_DOWN:
		case B_PAGE_UP:
		case B_ESCAPE:
		case B_FUNCTION_KEY:
			return;
	}
	BTextView *tv = txt->TextView();
	txt->MakeFocus(true);
	tv->Select( 0xffff , 0xffff );
	tv->Insert(tv->TextLength(), bytes, numBytes); 
	//txt->KeyDown(bytes, numBytes);
}

/*
void irc_textview::MessageReceived(BMessage *message)
{
 	switch (message->what)
  	{		
		default:    	
			break;
  	}
	BTextView::MessageReceived(message);
}*/