#ifndef _LIST_HEADER_H_
#define _LIST_HEADER_H_

#include <View.h>
#include <MessageFilter.h>

class BListView;

class list_header : public BView , public BMessageFilter
{
public:
	list_header( BRect rc, BListView* lv);
	virtual ~list_header();

	virtual void Draw(BRect updateRect);
	virtual void MouseDown(BPoint point);

	virtual filter_result Filter(BMessage *message, BHandler **target);
	virtual void MessageReceived(BMessage* message);
	void add_column( const char* name, int width );
	int get_column_width( int idx ) { return m_column_width[ idx ]; }
protected:
	BListView* m_lv;
	int m_column_width [32];
	char *m_column_names[32];
	int m_count;
	float m_value;
};

#endif