#include "myText.h"
#include  <MessageFilter.h>

myText::myText(BMessageFilter* filter, BRect frame, const char *name, 
         const char *label, const char *text, 
         BMessage *message, 
         uint32 resizingMode, 
         uint32 flags):
   BTextControl(frame, name, label, text, message, resizingMode,  flags)
{
	m_filter = filter;
	((BTextView *)TextView())->AddFilter(filter);
	m_draw = true;
}

myText::~myText()
{
   if(((BTextView *)TextView())->RemoveFilter(m_filter))
	{
		delete m_filter;
	}  
}