#ifndef _NEWITEM_H
#define  _NEWITEM_H

#include <ListView.h>
#include <Locker.h>

class chanelItem : public BListItem 
{ 
      public: 
                     chanelItem(const char *name);//, int32 piple = -1, char* topic = NULL); 
                     ~chanelItem(); 
      virtual void   DrawItem(BView *owner, BRect frame, bool complete = false); 
   	const char* get_name(void) { return  m_name; }
   	void 		get_chanel_name( char *str );
   	int 			get_chanel_users(void);
   	const char* get_chanel_topic(void);
//   	void rename(const char* str);
   	int get_cmp_type(){ return m_cmp_type; }
   	void set_cmp_type( int type ){ m_cmp_type = type;}
private: 
         		char		*m_name;//[ 1024 ];
    static     int 			m_cmp_type;
  //       char			*m_topic; 
  //       int32			m_piple; 
};

class nickitem : public BListItem 
{ 
	public: 
				nickitem(const char *name, int type = 0, bool default_font = false); 
				~nickitem(); 
	virtual void	DrawItem(BView *owner, BRect frame, bool complete = false); 
	const char*	get_name(void) { return  m_name; }
	int				get_type(void){ return m_type;}
	void			set_type(int type);
	void 			rename(const char* str);
private: 
	char			m_name[64];
	int				m_type;	
	bool			m_b_default_font;
};

int nick_cmp(const void *u1, const void *u2);
int chan_cmp(const void *u1, const void *u2);
class newListView : public BListView, public BLocker
{
public:
	newListView(BRect rc, const char *name,  list_view_type type = B_SINGLE_SELECTION_LIST, 
         uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP, uint32 flags = B_WILL_DRAW | B_NAVIGABLE | B_FRAME_EVENTS);
     virtual ~newListView();
	
     virtual void MouseDown(BPoint point);
     virtual void KeyDown(const char *bytes, int32 numBytes);
     
     void put_prefs(void *ptr){ m_prefs = ptr; }
     void* get_prefs(void){ return m_prefs; }
     
protected:
	void* m_prefs;     
};

#endif