#ifndef _OPEN_DLG_H
#define _OPEN_DLG_H
#include <Looper.h>
#include <Locker.h>
#include <Handler.h>
#include <FilePanel.h>
//#include <RefFilter.h>
class open_dlg : public BHandler 
{
public:
	open_dlg( BWindow *w );
	~open_dlg();
	bool go();
	virtual	void	MessageReceived(BMessage *message);
protected:
	BFilePanel *m_fPanel;	
};


class DirFilePanel : public BFilePanel 
{ 

public: 
    DirFilePanel( BMessenger* target, 
                   BRefFilter* filter=NULL ); 
    void SelectionChanged(); 

  private: 
    BButton *m_CurrentDirBtn; 
}; 

class DirFilter : public BRefFilter 
{ 
public: 
  bool Filter(const entry_ref* e, BNode* n, struct stat* s, 
              const char* mimetype); 
}; 
#endif