#ifndef _SOCKS5_H_
#define _SOCKS5_H_

#define SOCKS_VERSION_5 ((unsigned char)5)

#define SOCKS_CMD_CONNECT       ((unsigned char)1)
#define SOCKS_CMD_BIND          ((unsigned char)2)
#define SOCKS_CMD_UDP_ASSOCIATE ((unsigned char)3)

#define SOCKS_AUTH_NONE      ((unsigned char)0)
#define SOCKS_AUTH_USER_PASS ((unsigned char)2)
#define SOCKS_AUTH_FAILED    ((unsigned char)0xff)

#define SOCKS_ADDR_IPV4       ((unsigned char)1)
#define SOCKS_ADDR_DOMAINNAME ((unsigned char)3)
#define SOCKS_ADDR_IPV6       ((unsigned char)4)


bool socks5command( int s,  unsigned char cmd, const char * hostname, short port, const char* user = NULL, const char* password = NULL);
extern char socks5error[128];
#endif