//	File: TextEncoding.h

//	EUC-jp <-> JIS conversion routine based on public domain code by Ken Lunde

#include <UTF8.h>

status_t ConvertToUTF8(uint32 srcEncoding,
					   const char* src,
					   int32* srcLen,
					   char* dst,
					   int32* dstLen,
					   int32* state,
					   char substitute = '?');

status_t ConvertFromUTF8(uint32 dstEncoding,
						 const char* src,
						 int32* srcLen,
						 char* dst,
						 int32* dstLen,
						 int32* state,
						 char substitute = '?');
