//License:
//    This license applies to this file, as well as any component of Santa's Gift Bag.
//    
//    Copyright Brian Tietz, all rights reserved.
//    
//    All source and compiled code included in the Santa's Gift Bag distribution is being made publicly
//    available and free to use in freeware and shareware products with a price under $25 (I believe that
//    shareware should be cheap). For shareware with a price higher than $25 or commercial products, please 
//    contact me to arrange a licensing agreement. I can be reached at:
//    
//    briant@timelinevista.com
//    
//Useful until be gets around to making these sorts of things
//globals akin to be_plain_font, etc.


#ifndef _SGB_COLORS_H_
#define _SGB_COLORS_H_


//******************************************************************************************************
//**** SYSTEM HEADER FILES
//******************************************************************************************************
#include <GraphicsDefs.h>


//******************************************************************************************************
//**** CONSTANT DEFINITIONS
//******************************************************************************************************
//Be standard UI colors
const rgb_color BeBackgroundGrey = 		{216,216,216,	255};
const rgb_color BeInactiveControlGrey = {240,240,240,	255};
const rgb_color BeFocusBlue =			{0,  0,  229,	255};
const rgb_color BeHighlight =			{255,255,255,	255};
const rgb_color BeShadow =				{152,152,152,	255};
const rgb_color BeDarkShadow =			{108,108,108,	255};
const rgb_color BeLightShadow =			{194,194,194,	255};
const rgb_color BeButtonGrey =			{232,232,232,	255};
const rgb_color BeInactiveGrey =		{127,127,127,	255};
const rgb_color BeListSelectGrey =		{178,178,178,	255};
const rgb_color BeTitleBarYellow =		{255,203,0,		255};

//Other colors


#endif
