#include "DebugWindow.h"

//#include <View.h>
#include <TextView.h>
#include <ScrollView.h>

#include <string.h>
#include <stdio.h>
//////////////////////////
///////
extern DebugWindow* g_debug;

DebugWindow::DebugWindow() 
	: BWindow(BRect(30, 30, 380, 200), "Debug", 
        B_TITLED_WINDOW,
        /*B_NOT_ZOOMABLE|B_OUTLINE_RESIZE|*/B_FRAME_EVENTS | B_ASYNCHRONOUS_CONTROLS
        ) 
{
  BRect rc = Bounds(); 
  rc.right -= B_V_SCROLL_BAR_WIDTH;

  BTextView* tv = new BTextView(rc, "debug_txt", rc, B_FOLLOW_ALL, B_WILL_DRAW|B_FRAME_EVENTS);
  tv->MakeEditable(false);
  tv->MakeSelectable(true);
  tv->SetMaxBytes(0xffff); 
  tv->SetViewColor(225, 225, 225);
	
  BScrollView *sv = new BScrollView("TextScroller",tv,B_FOLLOW_ALL,B_FRAME_EVENTS,false,true,B_NO_BORDER);
  AddChild(sv);  
  Show();
}
void DebugWindow::FrameResized(float width, float height)
{
   	BTextView* tv = (BTextView*)FindView("debug_txt");
		BRect rc = tv->TextRect();
   	rc.right = width;
		tv->SetTextRect(rc); 
		 
}
void DebugWindow::Quit()
{
 g_debug = NULL;
 BWindow::Quit();
}

void DebugWindow::MessageReceived(BMessage* message)
{
 	switch(message->what)
	{
	case 'dbg':
		{
			BTextView* txt = (BTextView*)FindView("debug_txt");
			const char* str;
			if ( !message->FindString ("debug", &str))
			{
				/*char sz[512];
				for(int i = 0, count = 0;  ; i++)
				{
					if(str[i] == '\0')
 					{
						sz[count++] = str[i];
						break;
					}
					if((int)str[i] < 32 || (int)str[i] > 'z')
					{
						char tmp[16];
						sprintf( tmp, "[%i]", (int)str[i]);
						sz[count] = '\0'; 
						strcat( sz, tmp);
						count += strlen(tmp);
					}
					//else
						sz[count++] = str[i];	
				}
				txt->Insert (0, sz, strlen(sz));
				*/
				txt->Insert (0, str, strlen(str));
			}
		}break;	
	}
   BWindow::MessageReceived(message);
}
