#ifndef _STATUSVIEW_H
#define _STATUSVIEW_H

#include <View.h>
#include <List.h>
#include <Locker.h>

class BWindow;

struct tag_item
{
	BWindow *pWnd;
	char name[64];
	bool dirty;
};
class StatusBarView : public BView
{
   // BList list;
public:
	StatusBarView(BWindow* parent, BRect rc);
	~StatusBarView(void);
	void	AttachedToWindow();
	//void	AddWindow(BWindow *pWnd);
	//void	RemoveWindow(BWindow *pWnd);
//////////////////
	void 	MessageReceived(BMessage *message);
	void 	Draw(BRect updateRect);
	void	Pulse();
	virtual void MouseDown(BPoint point);
/////////////////
	void	AddList(BList *list);	
	void	AddFirst(BWindow *pWnd);
protected:
	tag_item	 m_first;

	BList* m_o_list;
	
	BList		  m_list;
	void check_window(void);
	int32 find_item(BWindow *ptr);
private:
	bool m_bDirty;
	BLocker 	m_lock;
};

#endif