#ifndef _UTILS_H_
#define _UTILS_H_
#include <Rect.h>
#include <View.h>

void draw_frame(BView* view,BRect rc, bool b = false);
void draw_3Drect(BView* view,BRect rc, bool b = false);

class BWindow;
class BList;
class BBitmap;

struct tag_wnd_item
{
	BWindow *pWnd;
	char		name[200];
};

tag_wnd_item * find_item_by_name(const BList *list, const char* sz_name);
tag_wnd_item * find_item_by_wnd(const BList *list, const BWindow *pWnd);


class a3DView : public BView
{
public:
		a3DView( BRect area, const char * name,
			uint32 resize = B_FOLLOW_ALL,
			uint32 flags = B_WILL_DRAW);
virtual	void Draw( BRect area );
virtual	void FrameResized(	float new_width,	float new_height);

private:
		BRect oldBounds;
};	


class IconView : public BView
{
public:
		IconView( BRect area, const char * name, BBitmap *bmp = NULL,
			uint32 resize = B_FOLLOW_ALL,
			uint32 flags = B_WILL_DRAW);
		~IconView();	
virtual	void Draw( BRect area );

private:
		BBitmap *m_bmp;
};	

#endif