#ifndef __COLOR_FONT_SETTINGS_H
#define __COLOR_FONT_SETTINGS_H

#include "SettingsView.h"
#include <MenuItem.h>

class ColorButton;
class BPopUpMenu;

class ColorsViewTab : public BView, public SettingsTab
{
public:
	ColorsViewTab(BRect rc);
	virtual ~ColorsViewTab();
	void MessageReceived(BMessage *message);
	void AttachedToWindow(void);
	void DetachedFromWindow();
	void OnOk(void);
	void OnClose(void);	
private:
	ColorButton *m_btns[32];
//	int m_cur_sel;
	BPopUpMenu *m_menu;
};

class FontViewTab : public BView, public SettingsTab
{
public:
	FontViewTab(BRect rc);
	virtual ~FontViewTab(){}
	void MessageReceived(BMessage *message);
	void AttachedToWindow(void);
	void OnOk(void);
	void OnClose(void);	
private:
};

class color_item : public  BMenuItem
{
public:
	color_item( int i, BMessage *msg = NULL); 
	virtual ~color_item(){}
	int get_idx(void){ return m_icolor;}
protected:	
	void Draw(); 
	//void DrawContent();
	virtual void GetContentSize(float* width, float* height);
	int m_icolor;
};


#endif