#include "irc_util.h"
#include <string.h>
#include <stdio.h>
#include <ctype.h>
/*inline*/ int d_strncmp(const char*str1, const char*str2)
{
	int len1 = strlen(str1);
	int len2 = strlen(str2);
	if(len1 < len2)
		return (len1 - len2);
	for(int i = 0; i < len2; i++)
	{
	 	if(str1[i] != str2[i])
			return (i + 1); 
	}
  return 0;

//  return strncmp(str1, str2, strlen(str2));
}
void d_tolower(char *str)
{
	int len = strlen(str);
	for(int i = 0; i < len; i++)
		str[i] = tolower( str[i] );	
}
int d_strnicmp(const char*str1, const char*str2)
{
	int len1 = strlen(str1);
	int len2 = strlen(str2);
	if(len1 < len2)
		return (len1 - len2);
	for(int i = 0; i < len2; i++)
	{
	 	if( toupper(str1[i]) != toupper(str2[i]))
			return (i + 1); 
	}
  return 0;
}

int d_strRncmp(const char*str1, const char*str2)
{
	int len1 = strlen(str1);
	int len2 = strlen(str2);
	if(len1 < len2)
		return (len1 - len2);
	for(int i = len2; i >= 0; i--)
	{
	 	if(str1[len1 - (len2 - i)] != str2[i])
			return (i + 1); 
	}
  return 0;

//  return strncmp(str1, str2, strlen(str2));
}
char* d_skip_chr(const char*str, const char chr)
{
  //int len = strlen(str);
	char *ptr = strchr(str, chr);
	if(!ptr)
		return NULL;
	while ( *ptr )
	{
   	if( *ptr != chr)
			return (ptr);
		ptr++;
  }	
	return ptr;
}
char* d_skipR_chr(const char*str, const char chr)
{
	char *ptr = strrchr(str, chr);
	if(!ptr)
		return NULL;
	while( ptr != str)
	{
    if( *ptr != chr)
			return (ptr);	
		ptr--;
  }
	return ptr;
}
int d_len_chr(const char*str, const char chr)
{
  int len = strlen(str);
	for(int i = 0; i < len; i++)
	  if( str[i] == chr)
			return i;	
	return 0;
}
void d_get_word(const char *str, char* sword)
{
	sscanf(str,"%s", sword);
}


bool params_get3( char *params, char** out1, char **out2, char **out3)
{
	char *ptr = strchr( params, ' ');
	if ( !ptr )
		return false;
	char *ptr2 = strchr( ptr + 1, ' ');
	if ( !ptr2 )
		return false;
	
	*out1 = params;
	*ptr = '\0';
	 ptr++;
	*out2 = ptr;
	*ptr2 = '\0';	
	ptr2++;
	*out3 = ptr2;
		
	return true;
}
bool params_get4( char *params, char** out1, char **out2, char **out3, char **out4)
{
	if( !params_get3(params, out1, out2, out3) )
		return false;
	
	char *ptr = strchr( *out3, ' ');
	if ( !ptr )
		return false;
	*ptr = '\0'; 
	ptr++;
	*out4 = ptr;	
	
	return true;
}

int get_word( const char *sz_in, int num, char* ptr )
{
	char *dup = strdup( sz_in );
	char *ptr2 = strtok( dup, " ");
	int count = 0;
	int ret = 0;
	while( 1 )
	{
		if( ptr2 )
		{
			if( count == num )
			{
				strcat( ptr, ptr2);
				ret = strlen ( ptr2 );
				delete dup;
				return ret;
			}
		}	
		else
			break;
		ptr2 = strtok( NULL, " ");	
		count++;
	}
	delete dup;
	return ret;			
}	


int get_string( const char *sz_in, int num, char* ptr )
{
	char *dup = strdup( sz_in );
	char *ptr2 = strtok( dup, " ");
	int count = 0;
	int ret = 0;
	while( 1 )
	{
		if( ptr2 )
		{			
			if( count == num )
			{
				int len = int(ptr2) - int(dup);
				strcat( ptr, sz_in +  len);
				ret = strlen( sz_in + len );
				delete dup;
				return ret;
			}
		}	
		else
			break;
		ptr2 = strtok( NULL, " ");		
		count++;
	}
	delete dup;
	return ret;			
}	
