#ifndef _IRCVIEW_H_
#define _IRCVIEW_H_
	
#include <View.h>
class BFile;
class BFont;
class IRCView : public BView
{
public:
	IRCView(BRect rc);
	virtual ~IRCView();
	virtual void AttachedToWindow(void);
	virtual void DetachedFromWindow(void);
	virtual void FrameResized(float width, float height);
	virtual void Draw(BRect updateRect);
	virtual void KeyDown(const char *bytes, int32 numBytes);
	void MessageReceived(BMessage *message);
	void w_print(const char* str, int idx);

	BFile*	m_log_file;
	bool m_is_time_stamp;
protected:
	BFont*		m_default_font;
private:
};

#endif