#ifndef _TIPS_H
#define _TIPS_H

#include <Font.h>
#include <Window.h>
#include <View.h>
#include <Point.h>

const char STR_TTIPS[] = "tool_tips";

class TipView : public BView 
{
public:
						TipView( void );
	virtual				~TipView();
	virtual void		AllAttached();
	virtual void		Draw(BRect);
	//virtual void		MessageReceived(BMessage*);
	virtual void MouseMoved( BPoint where,	uint32 code,
									const BMessage *a_message);
	virtual void MouseDown(BPoint point);
	void				AdjustWindow( BPoint *pt );
	void				set_string(const char* str);
private:
	char				*m_String;
};

class TipWindow : public BWindow 
{
public:
		TipWindow(void);
//	virtual void MessageReceived(BMessage*);
	void start( BView *v, BPoint *pt );
	void stop( void );
	bool is_stoped(void){ return m_stoped; }
	BView* my_view(void){ return m_my_view;};
	bool get_mouse( BPoint *pt);
	
 	
private:
	TipView	*m_view;
	BView	*m_my_view;
	bool 		m_stoped;
};


class tips_server
{
public:
	tips_server(void);
	~tips_server(void);
	static status_t	thread(void* ptr);
	void sercher(void);
protected:
	BView*			find_view(BPoint where);
	thread_id	m_thread;
	bool		m_stop;	
	TipWindow	*m_window;
};


#endif
